package cn.com.infosec.x509;

import java.util.ArrayList;
import java.util.Collection;

public class X509CollectionStoreParameters implements X509StoreParameters {
   private Collection collection;

   public X509CollectionStoreParameters(Collection collection) {
      if (collection != null) {
         this.collection = collection;
      } else {
         throw new NullPointerException("collection cannot be null");
      }
   }

   public Object clone() {
      return new X509CollectionStoreParameters(this.collection);
   }

   public Collection getCollection() {
      return new ArrayList(this.collection);
   }

   public String toString() {
      StringBuffer var10000 = new StringBuffer();
      var10000.append("X509CollectionStoreParameters: [\n");
      var10000.append("  collection: " + this.collection + "\n");
      var10000.append("]");
      return var10000.toString();
   }
}
